import os
from datetime import datetime

time_format = '%Y%m%d_%H%M%S%f'

# 获取当前目录下所有的png文件名，无扩展名
png_files = [f.split('.')[0] for f in os.listdir('./shots') if f.endswith('.png')]

# 解析文件名并排序
sorted_files = sorted(png_files, key=lambda x: datetime.strptime(x, time_format))

# 计算时间间隔并生成输入文件
with open('./shots/duration.txt', 'w') as f:
    for i in range(len(sorted_files)):
        current_file = sorted_files[i]
        current_time = datetime.strptime(current_file, time_format)
        
        if i != 0:
            prev_file = sorted_files[i-1]
            prev_time = datetime.strptime(prev_file, time_format)
            duration = (current_time - prev_time).total_seconds()
            f.write(f"duration {duration}\n")
        
        f.write(f"file '{current_file}.png'\n")

print("输入文件列表已生成为 duration.txt")